Debian Bug report logs - #676533
please enable arm assembler code in openssl

version graph

Package: openssl; Maintainer for openssl is Debian OpenSSL Team <pkg-openssl-devel@lists.alioth.debian.org>; Source for openssl is src:openssl.

Reported by: Riku Voipio <riku.voipio@iki.fi>

Date: Thu, 7 Jun 2012 16:21:08 UTC

Severity: wishlist

Tags: patch

Found in version openssl/1.0.1c-3

Fixed in version openssl/1.0.1e-3

Done: Kurt Roeckx <kurt@roeckx.be>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian OpenSSL Team <pkg-openssl-devel@lists.alioth.debian.org>:
Bug#676533; Package openssl. (Thu, 07 Jun 2012 16:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
New Bug report received and forwarded. Copy sent to Debian OpenSSL Team <pkg-openssl-devel@lists.alioth.debian.org>. (Thu, 07 Jun 2012 16:21:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: submit@bugs.debian.org
Subject: please enable arm assembler code in openssl
Date: Thu, 7 Jun 2012 19:18:07 +0300
[Message part 1 (text/plain, inline)]
Package: openssl
Version: 1.0.1c-3
Severity: wishlist
Tags: patch

Openssl has some rather nice arm assembler optimizations. For example
on pandaboard (omap4430):

benchmark    debian       with patch
sha1         55836.67k -> 73599.08k
aes-128 cbc  18451.11k -> 36305.34k
aes-256 cbc  13552.30k -> 27108.31k
sha256       20092.25k -> 43469.45k
sha512       8052.74k  -> 37194.28k
rsa 1024     1904.2v/S -> 3650.5v/s

The attached patch enables using arm assembler, as well as removes the
armeb configuration as the armeb port is long dead.

[openssl.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenSSL Team <pkg-openssl-devel@lists.alioth.debian.org>:
Bug#676533; Package openssl. (Sun, 11 Nov 2012 22:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe Vu-Brugier <cvubrugier@yahoo.fr>:
Extra info received and forwarded to list. Copy sent to Debian OpenSSL Team <pkg-openssl-devel@lists.alioth.debian.org>. (Sun, 11 Nov 2012 22:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 676533@bugs.debian.org (full text, mbox):

From: Christophe Vu-Brugier <cvubrugier@yahoo.fr>
To: 676533@bugs.debian.org
Cc: Riku Voipio <riku.voipio@iki.fi>
Subject: Re: please enable arm assembler code in openssl
Date: Sun, 11 Nov 2012 23:02:58 +0100
I tried the patch submitted by Riku Voipio that enables ARM assembler
optimizations for ARM and it makes a big difference. For instance, on
a Marvell Kirkwood 88F6281 (CPU Feroceon 88FR131 rev 1 @1.2GHz):

benchmark    debian         with patch
sha1         39305.22k  --> 41343.57k
aes-128 cbc  11517.95k  --> 17571.84k
aes-256 cbc   8523.52k  --> 13213.70k
sha256       13940.10k  --> 28207.79k
sha512        2441.22k  --> 12656.64k
rsa 1024      1637.4v/s -->  3152.4v/s



Reply sent to Kurt Roeckx <kurt@roeckx.be>:
You have taken responsibility. (Wed, 22 May 2013 07:06:23 GMT) Full text and rfc822 format available.

Notification sent to Riku Voipio <riku.voipio@iki.fi>:
Bug acknowledged by developer. (Wed, 22 May 2013 07:06:23 GMT) Full text and rfc822 format available.

Message #15 received at 676533-close@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: 676533-close@bugs.debian.org
Subject: Bug#676533: fixed in openssl 1.0.1e-3
Date: Wed, 22 May 2013 07:03:09 +0000
Source: openssl
Source-Version: 1.0.1e-3

We believe that the bug you reported is fixed in the latest version of
openssl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 676533@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kurt Roeckx <kurt@roeckx.be> (supplier of updated openssl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 20 May 2013 16:56:06 +0200
Source: openssl
Binary: openssl libssl1.0.0 libcrypto1.0.0-udeb libssl-dev libssl-doc libssl1.0.0-dbg
Architecture: source all amd64
Version: 1.0.1e-3
Distribution: unstable
Urgency: low
Maintainer: Debian OpenSSL Team <pkg-openssl-devel@lists.alioth.debian.org>
Changed-By: Kurt Roeckx <kurt@roeckx.be>
Description: 
 libcrypto1.0.0-udeb - crypto shared library - udeb (udeb)
 libssl-dev - SSL development libraries, header files and documentation
 libssl-doc - SSL development documentation documentation
 libssl1.0.0 - SSL shared libraries
 libssl1.0.0-dbg - Symbol tables for libssl and libcrypto
 openssl    - Secure Socket Layer (SSL) binary and related cryptographic tools
Closes: 658162 660971 676533 689093 698406 698447
Changes: 
 openssl (1.0.1e-3) unstable; urgency=low
 .
   * Move <openssl/opensslconf.h> to /usr/include/$(DEB_HOST_MULTIARCH), and
     mark libssl-dev Multi-Arch: same.
     Patch by Colin Watson <cjwatson@ubuntu.com> (Closes: #689093)
   * Add Polish translation (Closes: #658162)
   * Add Turkish translation (Closes: #660971)
   * Enable assembler for the arm targets, and remove armeb.
     Patch by Riku Voipio <riku.voipio@iki.fi> (Closes: #676533)
   * Add support for x32 (Closes: #698406)
   * enable ec_nistp_64_gcc_128 on *-amd64 (Closes: #698447)
Checksums-Sha1: 
 0cdd5e853a2d3080f8f03966d758acc8b354ee25 2200 openssl_1.0.1e-3.dsc
 4194c26c6370ab305b38fa730fda07e2f005768b 94444 openssl_1.0.1e-3.debian.tar.gz
 00199638060866b67cfb21920b450d160a82bf56 1200462 libssl-doc_1.0.1e-3_all.deb
 40a75de42f2d617bf23929f74874c361192a0eb8 696412 openssl_1.0.1e-3_amd64.deb
 e825fbeda27a9e4053af6ae1f4779ccd01f0188b 1242452 libssl1.0.0_1.0.1e-3_amd64.deb
 98458be75200132129cc7a5cb80f283f30e04e82 625330 libcrypto1.0.0-udeb_1.0.1e-3_amd64.udeb
 14798f4836c20008fde00d667c5663d5293ac415 1749248 libssl-dev_1.0.1e-3_amd64.deb
 cf364abda5750d682f88df654d99f54ecf214027 3073402 libssl1.0.0-dbg_1.0.1e-3_amd64.deb
Checksums-Sha256: 
 1d4fd2b5aff62b3e67eec9ef6f0c235954a6436799211d231a4064b0c8dee457 2200 openssl_1.0.1e-3.dsc
 1af8a464a6e07f0208161afeec5ec097a1c47243ffe8ca205c1d9bcbc8addddc 94444 openssl_1.0.1e-3.debian.tar.gz
 f6d492f560bd276c63f473965bf23620bc31edafc6d2336cbf1fafba93637c51 1200462 libssl-doc_1.0.1e-3_all.deb
 3398288887d7162879b830abec3fca90fd15c3c62c59fa56d412cf71343bc41b 696412 openssl_1.0.1e-3_amd64.deb
 7832269362e5d75b0ebfa48a8aa63dadd8a98bc3e200eba895ba34f2b31e222e 1242452 libssl1.0.0_1.0.1e-3_amd64.deb
 7a0864676862dbcd69084fc458cff418c2921fef4470c9cf30a09c4bedc336a0 625330 libcrypto1.0.0-udeb_1.0.1e-3_amd64.udeb
 c302b692720a13a08290b1c5bb6cc94ce61d88966dbdb863463df6c875fe49af 1749248 libssl-dev_1.0.1e-3_amd64.deb
 9b50fccdd23680198045ef068c0e33818b7aea7faac0800ad45b13204b23a11d 3073402 libssl1.0.0-dbg_1.0.1e-3_amd64.deb
Files: 
 b995f84e656da15c7cb6a7fbb2c48d37 2200 utils optional openssl_1.0.1e-3.dsc
 bf38683294e419f12420a57f54cd0211 94444 utils optional openssl_1.0.1e-3.debian.tar.gz
 d143dddd29a792122ed4e16d78d3912b 1200462 doc optional libssl-doc_1.0.1e-3_all.deb
 368e4ce4f5722e1d77fe7a6648733173 696412 utils optional openssl_1.0.1e-3_amd64.deb
 d91ba356484ddbf2fef227a578c19864 1242452 libs important libssl1.0.0_1.0.1e-3_amd64.deb
 2f3d40c71e8859648ed208541be06a8e 625330 debian-installer optional libcrypto1.0.0-udeb_1.0.1e-3_amd64.udeb
 22fcaece815ab3b1b84ace8311259781 1749248 libdevel optional libssl-dev_1.0.1e-3_amd64.deb
 8ad1e3b20627f30fcc07a58a8f7fc5d4 3073402 debug extra libssl1.0.0-dbg_1.0.1e-3_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRnGnMAAoJEKGfLDAaVSLd10QQAIDy4HfPGxaPOvy2ktiHoN/u
/BLzKaxnQtw3Exu+RFZR1HtxC0PlASjPc+/zUiNNZKj2KnjALG3zRm9He+cASdpL
RlhyCeULd0+GiUw9KE7Ibc7z4WuD6ysEahT4vZntbMNMIDCDY07mBqH/tqag3uBW
ap5gBBcsz7cm/JEqixqB8FLsasLJOItLzTnfxW3213xX5NAbAP+HoegbeItaXDLr
bcBgLJh8feOOYlOEOWJBwISwR3Z8uaMtTNYsBo6JTWZ9u5QarWOHLxWoZzMKFqxX
a0KXlctRV2zt9ZwFPvkSwPn0k5aHVSyIMlurBrtk+9KwlQ8oiD31nek12zbNU5b9
+8OkPYukt4yf9kUrBx/i8sIDAD2dJ+OYoeFABgKgckvzAM/Ze5Y8QbXHf/z0h+hq
aHnTEeTUcyeLD8fX1oKXf8XAk3ohtFSpRIC8FDofI8fQM5Ww8SAvR7g16wMBlSM3
WNnRiMtqcvDXCCFdolBtY4umnommm0jzs8SQO5XCE/2GCPBPqyBRRwxsRj/eL6ZI
CIAO1BecEcS0Q1NDZpT3IkzZwaO05u3JN+AaExdh94cL3I0FHBYlv+6DorUvxCHc
rTRYX+BOkNz0agXQq5t1Tnb86jSgO07nJqVlxAaCYlqweOVlkz9qCeJn/vE+1UQE
r6f7dCJaud/vfUMOsJ3r
=cjky
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 29 Jun 2013 07:32:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:08:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.